/**
 * @method
 * @param columnNames 列名
 * @param columnNames 行数据
 * @desc 初始化表单
 */
function initForm(columnNames, rows) {
    var hotElement = document.querySelector('#hot');
    hotElement.innerHTML = "";
    var hotElementContainer = hotElement.parentNode;
    var columnName = JSON.parse(columnNames);
    var datas = JSON.parse(rows);
    var columns = [];
    var dataROW = new Array();
    for (var index in columnName) {
        columns.push({
            data: columnName[index],
            type: 'text',
            editor: false,

        })
    }
    var stringBuffer = new StringBuffer();
    for (var dIndex in datas) {
        if (dIndex == 0) {
            stringBuffer.append("[");
        }
        var itemValue = datas[dIndex];
        for (var cIndex in columnName) {
            if (cIndex == 0) {
                stringBuffer.append("{");
            } else {
                stringBuffer.append(",");
            }
            var key = columnName[cIndex];
            var value = itemValue[cIndex];
            if(value.length > 20){
                value = value.substring(0,20) + "...";
            }
            var keyValue = '"' + key + '":"' + value + '"';
            stringBuffer.append(keyValue);
            if (parseInt(cIndex) + 1 == columnName.length) {
                stringBuffer.append("}");
            }
        }
        if (parseInt(dIndex) + 1 == datas.length) {
            stringBuffer.append("]");
        } else {
            stringBuffer.append(",");
        }
    }
    var data = JSON.parse(stringBuffer.toString());
     var hotSettings = {
            data: data,
            columns: columns,
            stretchH: 'all',
            autoWrapRow: true,
            rowHeaders: false,
            colHeaders: columnName,
            fillHandle:false,
            className:'htCenter htMiddle',
            rowHeights:40,
            fixedColumnsLeft: 1,
        };
    var hot = new Handsontable(hotElement, hotSettings);

    //单击事件
    Handsontable.hooks.add('afterOnCellMouseDown',callBack,hot);
}
 //单击事件的回调函数
function callBack(event,coords,td){
	var row = coords.row;
	var col = coords.col;
    JSModel.onItemClick(row,col)
}


function StringBuffer() {
    this.__strings__ = new Array;
}

StringBuffer.prototype.append = function(str) {
    this.__strings__.push(str);
};

StringBuffer.prototype.toString = function() {
    return this.__strings__.join("");
};